.box-shadow {
    border-radius: 3px;
    padding: 5px;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 10px 0px;
}

body {
    margin: auto;
    font-size: 18px;
    color: black;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* Default background for sections */
}

header {
    padding: 5px 40px;
    text-align: center;
}

label {
    padding-bottom: 0px;
}

select {
    padding: 4px 2px 3px;
    margin: 0;
}

#input, #inputFiles {
    color: #fff;
    cursor: pointer;
    background-color: green;
    margin-top: 5px;
    margin-bottom: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 5px;
    border: none;
    border-radius: 4px;
}

input {
    padding: 4px 2px 3px;
    margin: 0;
}

input[type=number] {
    width: 170px;
    padding: 4px 2px 3px;
    margin: 0;
}

article {
    min-height: 100%;
    /* Ensure sections take up full screen height */
    padding: 20px 10px;
    margin: 0;
}

.faq {
    margin-top: 10px;
    margin-bottom: 10px;
}

.question {
    font-size: 18px;
    font-weight: 600;
    cursor: pointer;
    position: relative;
}

.question::after {
    content: '+';
    position: absolute;
    right: 0;
    font-size: 24px;
    transition: transform 0.3s;
}

.faq.active .question::after {
    content: '-';
}

.answer {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease;
    font-size: 16px;
    padding-top: 10px;
}

.no-overflow-on-table

/* This code will not allow the table to overflow in short screen. Use class="no-overflow-on-table" */
    {
    overflow-x: auto;
}

.table-container {
    max-height: 350px;
    /* adjust the max-height as needed */
    overflow: auto;
    margin-bottom: 5px;
    font-size: 15px;
}

table {
    margin-top: 5px;
    border-collapse: collapse;
    width: 100%;
}

thead {
    padding: 0px;
}

th {
    border: 1px solid #808080;
    padding: 8px;
    text-align: left;
    position: sticky;
    top: 0;
    background-color: #fff;
}

td {
    border: 1px solid #808080;
    padding: 8px;
    text-align: left;
}

a:link {
    color: blue;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

ul {
    list-style-type: disc;
}

li {
    padding: 5px;
    color: #000;
    line-height: 1.4;
}

html {
    scroll-behavior: smooth;
}


#hr {
    width: auto;
}



.product-family {
  text-align: center;
  padding: 40px 0;
}

.section-title {
  font-size: 2.5rem;
  margin-bottom: 30px;
}

.product-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
  gap: 20px;
  justify-items: center;
}

.product-card {
  background: #f9f9f9;
  width: 75%;
  border-radius: 10px;
  padding: 20px;
  text-align: center;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease-in-out;
}

.product-card img {
  width: auto;
  height: auto;
  border-radius: 8px;
  margin-bottom: 15px;
  pointer-events: none;
  user-select: none; /* Standard syntax */  
}

.product-card h3 {
  text-align: center;
  font-size: 1.5rem;
  color: #333;
  margin-bottom: 10px;
}

.product-card p {
  font-size: 1rem;
  color: #666;
}

.product-card:hover {
  transform: translateY(-7px);
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}




@media (max-width: 600px) {
    .main-container {
        grid-template-columns: 1fr;
        /* Adjusted for mobile view */
    }
}

.mini-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
    /* Adjust the gap between columns */
}

.box {
    padding: 3px;
    box-sizing: border-box;
}


.search-container {
    margin-top: 0px;
}

#searchResults {
    list-style-type: none;
    padding: 0;
    max-width: 250px;
    /* Limit the width of search results */
    max-height: 250px;
    /* Limit the height of search results */
    overflow: auto;
    /* Enable vertical scrollbar when needed */
}

#searchResults {
    margin-bottom: 3px;
}

#noResultsforsearch {
    display: none;
    color: red;
}



/* New and updated style below.    */



footer {
    padding: 20px 40px 14px;
}

.footer-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 1.5rem;
    margin: auto;
}

.footer-section h3 {
    margin-bottom: 0.5rem;
}

.footer-section ul {
    list-style-type: none;
    /* Remove default bullet points */
    /* The below codes can make heading and bullet on the same line in horizontal */
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.footer-section li {
    list-style-type: none;
    /* Remove default bullet points */
    /* The below codes can make heading and bullet on the same line in horizontal */
    margin: 0;
    padding: 4px 0 4px 0;
    box-sizing: border-box;
}

.footer-bottom {
    text-align: center;
}


/* Wrapper for all content */
.content-wrapper {
    max-width: 865px;
    /* Limit the size of non-section elements */
    margin: 0 auto;
}

.logo {
    font-size: 24px;
    font-weight: bold;
}


/* Sections */
section {
    min-height: 100%;
    /* Ensure sections take up full screen height */
    padding: 20px 10px;
    margin: 0;
}


.main-container {
    margin: 0 auto;
    padding: 12px;
    border-radius: 8px;
}

.first-column {
    max-width: 865px;
    padding: 10px;
    border-radius: 4px;
}

#avif-to-png-tool-section {
    min-height: 100%;
    /* Ensure sections take up full screen height */
    padding: 100px 20px;
    margin: 0;
    text-align: center;
    color: white;
    font-size: 30px;
}

.animated-gradient {
    background: linear-gradient(270deg, #ff6ec4, #7873f5);
    background-size: 400% 400%;
    animation: gradientAnimation 10s ease infinite;
    padding: 20px;
}

@keyframes gradientAnimation {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}


h1,
h2,
h3,
p {
    margin: auto;
    padding-top: 3px;
    padding-bottom: 3px;
    text-align: left;
}

code {
    font-family: 'Fira Code', 'Courier New', Courier, monospace;
    background-color: #eef2f7;
    color: #2c3e50;
    /* deep blue-gray */
    padding: 0.2em 0.4em;
    margin: 0;
    font-size: 0.95em;
    border-radius: 4px;
    white-space: pre-wrap;
    word-break: break-word;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 25px;
    /* Adjust this to your preferred height */
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 10px;
}


.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    height: 24px;
    width: 30px;
    gap: 5px;
}

.hamburger span {
    display: block;
    width: 100%;
    height: 3px;
    background-color: black;
    border-radius: 2px;
    transition: all 0.3s ease;
}


.hamburger.active span:nth-child(1) {
    transform: rotate(45deg) translate(5.5px, 5.3px);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}


.social-share {
    display: flex;
    gap: 10px;
    padding: 5px 0 5px;
}

.social-share a img {
    width: 20px;
    /* Adjust size */
    height: 20px;
    transition: transform 0.2s;
}

.social-share a img:hover {
    transform: scale(1.1);
}


.converted-image {
    max-width: 154px;
    max-height: 154px;
    padding: 1px;
    margin: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

#convertBtn,
#downloadBtn,
#resetButton,
#convertBtnn {
    font-size: 16px;
    background-color: #0400ff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s;
    padding-top:5.5px;
    padding-bottom: 6.9px;
}

#downloadBtn {
    display: none;
    margin-top: 20px;
}

#resetButton,
#resetBtn {
    background-color: #dc3545;
    color: white;
    margin-top: 20px;
    margin-left: 10px;
    padding: 6.6px 6.6px;
}

#convertBtnn:hover,
#downloadBtn:hover {
    background-color: black;
}

#resetButton:hover,
#resetBtn:hover {
    background-color: black;
}


#preview {
    margin-top: 20px;
    margin-bottom: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-height: 265px;
    overflow-y: auto;
}

#loading {
    display: none;
    margin-top: 20px;
    margin-bottom: 10px;
    font-style: italic;
    color: #6c757d;
}

#info {
    margin-top: 20px;
    text-align: left;
}


#suggestions {
    margin-top: 5px;
    max-height: 200px;
    overflow-y: auto;
}

.suggestion {
    padding: 8px;
    cursor: pointer;
}

.no-suggestions {
    padding: 8px;
    color: #666;
}


  .pros::before {
            content: "✅ ";
        }

        .cons::before {
            content: "⚠️ ";
        }

/* Media query for devices */
@media (max-width: 768px) {

    header {
        padding: 5px 14px;
        text-align: center;
    }

    footer {
        padding: 20px 14px 14px;
    }

    .main-container {
        max-width: 99%;
        /* Allow more width on smaller screens */
        padding: 1px;
    }

    /* Sections */
    section {
        min-height: 100vh;
        /* Ensure sections take up full screen height */
        padding: 15px 10px;
        margin: 0;
    }

    body {
        font-size: 16px;
        /* Slightly smaller font on mobile */
        /* Default background for sections */
    }

    h1,
    h2,
    h3,
    p {
        text-align: left;
        padding-top: 4px;
        padding-bottom: 4px;
    }


    .hamburger {
        display: flex;
    }

    .nav-links {
        position: absolute;
        top: 45px;
        right: 10;
        background-color: #333;
        flex-direction: column;
        width: 70%;
        display: none;
    }

    .nav-links a {
        color: white;
    }

    .nav-links.show {
        display: flex;
    }

    .nav-links li {
        text-align: center;
        padding: 10px 0;
        border-top: 1px solid #444;
    }

}